Skip to content Skip to navigation

mysqlnd cannot connect to MySQL 4.1+

Topics: 
Tags: 

Hi All,

There are *many* threads out there on this topic, though I'm not sure any of them apply to this situation. Or, if it does apply … how can I resolve within the Stanford framework

When using php to connect to my g_energyseminar_drupal database from a machine other than the Leland servers I get the following error:
mysqlnd cannot connect to MySQL 4.1+ using the old insecure authentication.

This implies a password length mismatch of some sort normally associated with older mysql clients. The machine in question is using php 5.3.6 and mysqlnd 5.0.8-dev. The issue is definitely unique to the endrgyseminar drupal db as I have no issues connecting to my 'g_environment_woodsfacultydb' or 'd_woods_drupal' databases. It also has something to do with my php/mysql combination as I have no issue connecting to the energy seminar db using a different method, like SequelPro or even the command line.

Any help and insight would be welcome and appreciated.

Cheers,
Keith